# 2L-VKOGA

Python implementation of the 2L-VKOGA algorithm, which uses a kernel optimization (two layered kernel) before running VKOGA with the modified kernel.

## How to cite:
If you use this code in your work, please cite the paper

> T. Wenzel, F. Marchetti, and E. Perracchione. Data-driven kernel designs for
optimized greedy schemes: A machine learning perspective.
arXiv preprint arXiv:2301.08047, 2023.


```bibtex:
@article{wenzel2023data,
  title={Data-driven kernel designs for optimized greedy schemes: A machine learning perspective},
  author={Wenzel, Tizian and Marchetti, Francesco and Perracchione, Emma},
  journal={arXiv preprint arXiv:2301.08047},
  year={2023}
}
```

For further details on the VKOGA algorithm, please refer to [here](https://github.com/GabrieleSantin/VKOGA).

